Page MenuHomePhabricator

[libc++][format] Adds formatting benchmarks.
ClosedPublic

Authored by Mordante on Sep 26 2021, 8:12 AM.

Details

Reviewers
ldionne
vitaut
Group Reviewers
Restricted Project
Commits
rG01631ffcfca7: [libc++][format] Adds formatting benchmarks.
Summary

These benchmarks will be used to test the performance inpact of the next
set of optimization patches.

Diff Detail

Event Timeline

Mordante requested review of this revision.Sep 26 2021, 8:12 AM
Mordante created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptSep 26 2021, 8:12 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
Mordante updated this revision to Diff 377862.Oct 7 2021, 8:18 AM

Rebased to trigger CI.

Mordante updated this revision to Diff 377871.Oct 7 2021, 8:38 AM

Retrigger the CI.

Mordante updated this revision to Diff 380237.Oct 17 2021, 4:13 AM

Rebased and attempt to fix the build.

Mordante planned changes to this revision.Oct 17 2021, 5:52 AM

There seems to be an issue with the benchmark build. Need to investigate.

Minor comment inline, otherwise LGTM.

libcxx/benchmarks/format_to.bench.cpp
53

Why pass Span as a template parameter instead of the character type?

65

Same here

Mordante updated this revision to Diff 385119.Nov 5 2021, 10:32 AM
Mordante marked 2 inline comments as done.

Addresses the review comments. That fixes the build locally.
Readd the bytes processed since removing them didn't fix the build.

Mordante updated this revision to Diff 385136.Nov 5 2021, 11:26 AM

Rebased to see whether that fixes the CI.

ldionne accepted this revision.Thu, Nov 25, 11:07 AM
This revision is now accepted and ready to land.Thu, Nov 25, 11:07 AM
This revision was automatically updated to reflect the committed changes.